> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Commercial Music Library

> Get Commercial Music Library



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/commercial-music-library
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/commercial-music-library:
    get:
      tags:
        - Trending
      summary: Get Commercial Music Library
      description: Get Commercial Music Library
      operationId: getApiTrendingCommercial-music-library
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
            description: Page
            example: 1
        - in: query
          name: limit
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: Number of items per page (maximum is 20)
            example: 20
            maximum: 20
        - in: query
          name: region
          schema:
            type: string
            description: Region
            example: US
            default: US
        - in: query
          name: scenarios
          schema:
            type: string
            description: |2-

                      Scenarios:
                      - 0: TikTok Commercial Use
                      - 1: TikTok Series
                    
            enum:
              - '0'
              - '1'
            default: '0'
            example: '0'
        - in: query
          name: duration
          schema:
            type: string
            description: |2-

                      Scenarios:
                      - 0: All
                      - 1: 0~20s
                      - 2: 20~40s
                      - 3: 40~60s
                      - 4: Over 60s
                    
            enum:
              - '0'
              - '1'
              - '2'
              - '3'
              - '4'
            default: '0'
            example: '0'
        - in: query
          name: placements
          schema:
            type: string
            description: ''
            default: '[]'
        - in: query
          name: themes
          schema:
            type: string
            description: ''
            default: '[]'
        - in: query
          name: genres
          schema:
            type: string
            description: ''
            default: '[]'
        - in: query
          name: moods
          schema:
            type: string
            description: ''
            default: '[]'
        - in: query
          name: music_name
          schema:
            type: string
            description: ''
        - in: query
          name: singer_name
          schema:
            type: string
            description: ''
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          has_more:
                            type: boolean
                            description: ''
                            example: true
                          page:
                            type: number
                            description: ''
                            example: 1
                          size:
                            type: number
                            description: ''
                            example: 20
                          total_count:
                            type: number
                            description: ''
                            example: 500
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            clip_id:
                              type: string
                              description: ''
                              example: '7467591415728801793'
                            detail:
                              type: string
                              description: ''
                              example: >-
                                https://sf16-ies-music-sg.tiktokcdn.com/obj/tos-alisg-ve-2774/oQVzDffgtEKQMWNCBOngFBOPI5ZzCmnVnBM1ms
                            duration:
                              type: number
                              description: ''
                              example: 60
                            genre:
                              type: string
                              description: ''
                              example: Electronic
                            meta_song_id:
                              type: string
                              description: ''
                              example: '0'
                            mood:
                              type: string
                              description: ''
                              example: Dynamic
                            music_id:
                              type: string
                              description: ''
                              example: '7467591415728801793'
                            music_url:
                              type: string
                              description: ''
                              example: >-
                                https://sf16-ies-music-sg.tiktokcdn.com/obj/tos-alisg-ve-2774/oQVzDffgtEKQMWNCBOngFBOPI5ZzCmnVnBM1ms
                            placement_allowed:
                              type: array
                              items:
                                type: string
                              description: ''
                              example:
                                - Tiktok
                            poster_url:
                              type: string
                              description: ''
                              example: >-
                                https://p16-sg.tiktokcdn.com/aweme/720x720/tos-alisg-v-2774/o8EAX0QWiAeAMws6xqEBAiiA9vBo3CAhmP2KSo.jpeg
                            singer:
                              type: string
                              description: ''
                              example: nimino
                            theme:
                              type: string
                              description: ''
                              example: Dance
                            title:
                              type: string
                              description: ''
                              example: Glow
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````